{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0から1500までを3000msecかけて移動（0.5倍のスピード）",
					"fontsize" : 9.0,
					"patching_rect" : [ 265.0, 138.0, 262.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0から3000までを1500msecかけて移動（2倍のスピード）",
					"fontsize" : 9.0,
					"patching_rect" : [ 239.0, 115.0, 253.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-2",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "20000から3000までを1000msecかけて移動（ノーマル・スピード）",
					"fontsize" : 9.0,
					"patching_rect" : [ 231.0, 92.0, 298.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-3",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0から5000までを5000msecかけて移動（ノーマル・スピード）",
					"fontsize" : 9.0,
					"patching_rect" : [ 199.0, 69.0, 274.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-4",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "連続的に変化するシグナルで、再生する",
					"fontsize" : 9.0,
					"patching_rect" : [ 131.0, 190.0, 179.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-5",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "write",
					"fontsize" : 9.0,
					"patching_rect" : [ 354.0, 298.0, 33.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-6",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "replace",
					"fontsize" : 9.0,
					"patching_rect" : [ 309.0, 298.0, 41.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-7",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~ 0.5",
					"fontsize" : 9.0,
					"patching_rect" : [ 190.0, 284.0, 39.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-8",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ボリューム",
					"fontsize" : 9.0,
					"patching_rect" : [ 248.0, 227.0, 53.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-9",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 251.0, 247.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-10",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~ 0.5",
					"fontsize" : 9.0,
					"patching_rect" : [ 121.0, 284.0, 39.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-11",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "stop",
					"fontsize" : 9.0,
					"patching_rect" : [ 67.0, 307.0, 28.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-12",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "startwindow",
					"fontsize" : 9.0,
					"patching_rect" : [ 49.0, 285.0, 65.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-13",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "dac~",
					"fontsize" : 9.0,
					"patching_rect" : [ 121.0, 339.0, 88.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-14",
					"fontname" : "Geneva",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ処理を\r開始する",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 40.0, 256.0, 80.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-15",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "0, 1500 3000",
					"fontsize" : 9.0,
					"patching_rect" : [ 190.0, 137.0, 72.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-16",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "0, 3000 1500",
					"fontsize" : 9.0,
					"patching_rect" : [ 162.0, 115.0, 72.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-17",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "2000, 3000 1000",
					"fontsize" : 9.0,
					"patching_rect" : [ 134.0, 92.0, 90.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-18",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "0, 5000 5000",
					"fontsize" : 9.0,
					"patching_rect" : [ 121.0, 69.0, 72.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-19",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "line~",
					"fontsize" : 9.0,
					"patching_rect" : [ 121.0, 169.0, 30.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-20",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "signal", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "play~ MyBuffer 2",
					"fontsize" : 9.0,
					"patching_rect" : [ 121.0, 212.0, 88.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-21",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "signal", "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "buffer~ MyBuffer 5000 2",
					"fontsize" : 9.0,
					"patching_rect" : [ 273.0, 330.0, 124.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-22",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "read",
					"fontsize" : 9.0,
					"patching_rect" : [ 273.0, 298.0, 28.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-23",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-23", 0 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [ 318.5, 323.0, 282.5, 323.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [ 363.5, 323.0, 282.5, 323.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-8", 1 ],
					"hidden" : 0,
					"midpoints" : [ 260.5, 273.0, 219.5, 273.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 0 ],
					"destination" : [ "obj-14", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 1 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [ 199.5, 256.0, 199.5, 256.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-11", 1 ],
					"hidden" : 0,
					"midpoints" : [ 260.5, 273.0, 150.5, 273.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [ 58.5, 334.0, 130.5, 334.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [ 76.5, 330.0, 130.5, 330.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
