{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 687.0, 410.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 687.0, 410.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "平均ピッチの計測時間と、誤差と\rして無視するピッチの範囲を設定する",
					"linecount" : 2,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 432.0, 163.0, 150.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "加工ピッチ検出の条件を設定",
					"id" : "obj-2",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 415.0, 144.0, 163.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピッチ検出を行う最小音量をデシ\rベル値で設定。最初の数値は未加\r工ピッチ、２番目の数値は加工\rピッチに影響を与える",
					"linecount" : 4,
					"id" : "obj-3",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 433.0, 74.0, 145.0, 58.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピッチ検出のスレッショルド値を設定",
					"id" : "obj-4",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 415.0, 53.0, 163.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "周波数",
					"id" : "obj-5",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 214.0, 352.0, 37.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "周波数",
					"id" : "obj-6",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 382.0, 352.0, 37.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピーク・\rレベル",
					"linecount" : 2,
					"id" : "obj-7",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 512.0, 269.0, 46.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "アタック",
					"id" : "obj-8",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 295.0, 272.0, 46.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "未加工の\rピッチ\r（ノート・\rナンバー）",
					"linecount" : 4,
					"id" : "obj-9",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 364.0, 267.0, 55.0, 58.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "加工された\rピッチ\r（ノート・\rナンバー）",
					"linecount" : 4,
					"id" : "obj-10",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 192.0, 269.0, 55.0, 58.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "サンプリング・レイトを44100Hzに設定",
					"linecount" : 2,
					"id" : "obj-11",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 89.0, 343.0, 97.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "シグナル・ベクター\rサイズを64に設定",
					"linecount" : 2,
					"id" : "obj-12",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 89.0, 310.0, 91.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"id" : "obj-13",
					"outlettype" : [ "bang" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 0.0, 287.0, 48.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : ";\rdsp sigvs 64",
					"linecount" : 2,
					"id" : "obj-14",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 17.0, 310.0, 72.0, 29.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : ";\rdsp sr 44100",
					"linecount" : 2,
					"id" : "obj-15",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 17.0, 343.0, 72.0, 29.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "dB",
					"id" : "obj-16",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 545.0, 297.0, 22.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-17",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 505.0, 296.0, 39.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Hz",
					"id" : "obj-18",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 473.0, 352.0, 22.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-19",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 421.0, 350.0, 51.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mtof",
					"id" : "obj-20",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 421.0, 325.0, 31.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-21",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 421.0, 297.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "unpack 0. 0.",
					"id" : "obj-22",
					"outlettype" : [ "float", "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 421.0, 250.0, 64.0, 19.0 ],
					"numoutlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"id" : "obj-23",
					"outlettype" : [ "bang" ],
					"numinlets" : 1,
					"patching_rect" : [ 337.0, 295.0, 15.0, 15.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Hz",
					"id" : "obj-24",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 305.0, 352.0, 22.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-25",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 253.0, 350.0, 51.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mtof",
					"id" : "obj-26",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 253.0, 325.0, 31.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-27",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 253.0, 297.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "入力ゲイン調整",
					"id" : "obj-28",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 229.0, 151.0, 80.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ入力",
					"id" : "obj-29",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 222.0, 111.0, 80.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ処理\rの開始／停止",
					"linecount" : 2,
					"id" : "obj-30",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 223.0, 66.0, 80.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "vibrato 30 0.1",
					"id" : "obj-31",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 334.0, 148.0, 76.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "amp-range 60 70",
					"id" : "obj-32",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 323.0, 86.0, 88.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "fiddle~ 2048 1 20 1",
					"id" : "obj-33",
					"outlettype" : [ "float", "bang", "list", "float", "list" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 253.0, 219.0, 355.0, 19.0 ],
					"numoutlets" : 5
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "meter~",
					"id" : "obj-34",
					"tepidcolor" : [ 0.6, 0.729412, 0.0, 1.0 ],
					"outlettype" : [ "float" ],
					"coldcolor" : [ 0.0, 0.658824, 0.0, 1.0 ],
					"bgcolor" : [ 0.403922, 0.403922, 0.403922, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 164.0, 172.0, 80.0, 13.0 ],
					"warmcolor" : [ 0.85098, 0.85098, 0.0, 1.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-35",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 188.0, 149.0, 37.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~ 1",
					"id" : "obj-36",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 153.0, 148.0, 32.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "stop",
					"id" : "obj-37",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 163.0, 85.0, 29.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "startwindow",
					"id" : "obj-38",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 153.0, 66.0, 67.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "adc~",
					"id" : "obj-39",
					"outlettype" : [ "signal", "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 153.0, 111.0, 59.0, 19.0 ],
					"numoutlets" : 2
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-33", 3 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 2 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 1 ],
					"destination" : [ "obj-23", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-27", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 332.5, 187.0, 262.5, 187.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-31", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 343.5, 202.0, 262.5, 202.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 162.5, 195.0, 262.5, 195.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [ 9.5, 307.0, 26.5, 307.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [ 9.5, 340.0, 26.5, 340.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-37", 0 ],
					"destination" : [ "obj-39", 0 ],
					"hidden" : 0,
					"midpoints" : [ 172.5, 105.0, 162.5, 105.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-38", 0 ],
					"destination" : [ "obj-39", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-39", 1 ],
					"destination" : [ "obj-36", 0 ],
					"hidden" : 0,
					"midpoints" : [ 202.5, 138.0, 162.5, 138.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-39", 0 ],
					"destination" : [ "obj-36", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 0 ],
					"destination" : [ "obj-34", 0 ],
					"hidden" : 0,
					"midpoints" : [ 162.5, 168.0, 173.5, 168.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-35", 0 ],
					"destination" : [ "obj-36", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-26", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
