{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 811.0, 536.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 811.0, 536.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p audio_pitch",
					"id" : "obj-60",
					"outlettype" : [ "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 75.0, 152.0, 68.0, 19.0 ],
					"numoutlets" : 1,
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 230.0, 127.0, 483.0, 510.0 ],
						"bglocked" : 0,
						"defrect" : [ 230.0, 127.0, 483.0, 510.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "サンプリング・レイトを44100Hzに設定",
									"linecount" : 2,
									"id" : "obj-1",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 98.0, 403.0, 97.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "シグナル・ベクター\rサイズを64に設定",
									"linecount" : 2,
									"id" : "obj-2",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 98.0, 370.0, 91.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "loadbang",
									"id" : "obj-3",
									"outlettype" : [ "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 347.0, 48.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : ";\rdsp sigvs 64",
									"linecount" : 2,
									"id" : "obj-4",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 26.0, 370.0, 72.0, 29.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : ";\rdsp sr 44100",
									"linecount" : 2,
									"id" : "obj-5",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 26.0, 403.0, 72.0, 29.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "ピッチ解析のスレッショルド値を設定",
									"id" : "obj-6",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 246.0, 45.0, 176.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "差の絶対値",
									"id" : "obj-7",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 283.0, 271.0, 55.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "現在の値と直前の値の差（変化量)\r",
									"id" : "obj-8",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 283.0, 249.0, 166.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "直前に受け取った値を出力",
									"id" : "obj-9",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 305.0, 227.0, 131.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "加工されたピッチ\r（ノート・ナンバー）",
									"linecount" : 2,
									"id" : "obj-10",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 163.0, 100.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "アタック検出",
									"id" : "obj-11",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 113.0, 132.0, 64.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "button",
									"id" : "obj-12",
									"outlettype" : [ "bang" ],
									"numinlets" : 1,
									"patching_rect" : [ 127.0, 114.0, 15.0, 15.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-13",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 67.0, 143.0, 35.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "loadbang",
									"id" : "obj-14",
									"outlettype" : [ "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 154.0, 25.0, 48.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "amp-range 60 60",
									"id" : "obj-15",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 154.0, 45.0, 88.0, 17.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "（変化量の大きさが2以上ならノイズとして無視する）",
									"linecount" : 2,
									"id" : "obj-16",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 55.0, 256.0, 129.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "誤検知のノイズを除去する\r",
									"id" : "obj-17",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 62.0, 241.0, 129.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "未加工のピッチ（ノートナンバー）",
									"id" : "obj-18",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 229.0, 157.0, 179.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-19",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 187.0, 165.0, 41.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "t f f",
									"id" : "obj-20",
									"outlettype" : [ "float", "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 187.0, 195.0, 64.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "gate",
									"id" : "obj-21",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 232.0, 340.0, 161.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"id" : "obj-22",
									"outlettype" : [ "int" ],
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 317.0, 15.0, 15.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "< 2.",
									"id" : "obj-23",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 232.0, 292.0, 40.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "abs 0.",
									"id" : "obj-24",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 270.0, 49.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "- 0.",
									"id" : "obj-25",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 232.0, 247.0, 49.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "bucket",
									"id" : "obj-26",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 262.0, 226.0, 38.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "音のピッチ（高さ）を検出する",
									"id" : "obj-27",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 258.0, 83.0, 176.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "実数（ノートナンバー）",
									"id" : "obj-28",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 257.0, 401.0, 119.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "outlet",
									"id" : "obj-29",
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 401.0, 25.0, 25.0 ],
									"numoutlets" : 0,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-30",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 367.0, 35.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "unpack 0. 0.",
									"id" : "obj-31",
									"outlettype" : [ "float", "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 187.0, 114.0, 68.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "fiddle~ 2048 1 20 1",
									"id" : "obj-32",
									"outlettype" : [ "float", "bang", "list", "float", "list" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 67.0, 82.0, 182.0, 19.0 ],
									"numoutlets" : 5
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-33",
									"outlettype" : [ "signal" ],
									"numinlets" : 0,
									"patching_rect" : [ 67.0, 42.0, 25.0, 25.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "オーディオ・シグナル",
									"id" : "obj-34",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 31.0, 16.0, 109.0, 19.0 ],
									"numoutlets" : 0
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-32", 2 ],
									"destination" : [ "obj-31", 0 ],
									"hidden" : 0,
									"midpoints" : [ 158.0, 107.0, 196.5, 107.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-32", 1 ],
									"destination" : [ "obj-12", 0 ],
									"hidden" : 0,
									"midpoints" : [ 117.25, 111.0, 136.0, 111.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-32", 0 ],
									"destination" : [ "obj-13", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-33", 0 ],
									"destination" : [ "obj-32", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-15", 0 ],
									"destination" : [ "obj-32", 0 ],
									"hidden" : 0,
									"midpoints" : [ 163.5, 76.0, 76.5, 76.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 18.5, 367.0, 35.5, 367.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-5", 0 ],
									"hidden" : 0,
									"midpoints" : [ 18.5, 400.0, 35.5, 400.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-15", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-31", 0 ],
									"destination" : [ "obj-19", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-20", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 1 ],
									"destination" : [ "obj-25", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-22", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-30", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-30", 0 ],
									"destination" : [ "obj-29", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 1 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0,
									"midpoints" : [ 241.5, 219.0, 271.5, 219.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-26", 0 ],
									"destination" : [ "obj-25", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-21", 1 ],
									"hidden" : 0,
									"midpoints" : [ 196.5, 435.0, 412.0, 435.0, 412.0, 312.0, 383.5, 312.0 ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontsize" : 12.0,
						"fontname" : "Hiragino Kaku Gothic Pro W3",
						"globalpatchername" : "",
						"default_fontface" : 0,
						"fontface" : 0,
						"fontsize" : 12.0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3"
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sel 0",
					"id" : "obj-1",
					"outlettype" : [ "bang", "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 423.0, 129.0, 32.0, 19.0 ],
					"numoutlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r user",
					"id" : "obj-2",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 0,
					"patching_rect" : [ 423.0, 107.0, 38.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ユーザー\r使用中判定",
					"linecount" : 2,
					"id" : "obj-3",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 307.0, 268.0, 55.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "s user",
					"id" : "obj-4",
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 288.0, 342.0, 38.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "gate",
					"id" : "obj-5",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 252.0, 355.0, 38.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "t f f",
					"id" : "obj-6",
					"outlettype" : [ "float", "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 271.0, 274.0, 36.0, 19.0 ],
					"numoutlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"id" : "obj-7",
					"outlettype" : [ "int" ],
					"numinlets" : 1,
					"patching_rect" : [ 288.0, 321.0, 15.0, 15.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p peak_switch",
					"id" : "obj-8",
					"outlettype" : [ "int" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 288.0, 297.0, 74.0, 19.0 ],
					"numoutlets" : 1,
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 238.0, 180.0, 418.0, 431.0 ],
						"bglocked" : 0,
						"defrect" : [ 238.0, 180.0, 418.0, 431.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "0.5を超えたら\rbang",
									"linecount" : 2,
									"id" : "obj-1",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 15.0, 97.0, 66.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "リセット後、\r最初のbangの\rみ通過",
									"linecount" : 3,
									"id" : "obj-2",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 14.0, 146.0, 67.0, 45.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "toggle",
									"id" : "obj-3",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 46.0, 249.0, 37.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "10秒以上経過したら、\rclockerを停止し、\rtoggleをOFFにし、\ronebangをリセット",
									"linecount" : 4,
									"id" : "obj-4",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 300.0, 259.0, 103.0, 58.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "経過時間を出力",
									"id" : "obj-5",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 300.0, 208.0, 73.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "入力値が変化し\rた時に出力",
									"linecount" : 2,
									"id" : "obj-6",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 270.0, 139.0, 73.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "0.05未満なら1\rそれ以外は0",
									"linecount" : 2,
									"id" : "obj-7",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 270.0, 104.0, 73.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "ピーク・レベル",
									"id" : "obj-8",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 120.0, 49.0, 73.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "0",
									"id" : "obj-9",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 223.0, 312.0, 32.5, 17.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-10",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 89.0, 71.0, 35.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "button",
									"id" : "obj-11",
									"outlettype" : [ "bang" ],
									"numinlets" : 1,
									"patching_rect" : [ 112.0, 178.0, 20.0, 20.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "onebang 1",
									"id" : "obj-12",
									"outlettype" : [ "bang", "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 89.0, 152.0, 76.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"id" : "obj-13",
									"outlettype" : [ "int" ],
									"numinlets" : 1,
									"patching_rect" : [ 89.0, 243.0, 26.0, 26.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "1",
									"id" : "obj-14",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 89.0, 208.0, 32.5, 17.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "button",
									"id" : "obj-15",
									"outlettype" : [ "bang" ],
									"numinlets" : 1,
									"patching_rect" : [ 112.0, 129.0, 20.0, 20.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "past 0.5",
									"id" : "obj-16",
									"outlettype" : [ "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 89.0, 106.0, 47.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "outlet",
									"id" : "obj-17",
									"numinlets" : 1,
									"patching_rect" : [ 89.0, 307.0, 25.0, 25.0 ],
									"numoutlets" : 0,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "sel 1",
									"id" : "obj-18",
									"outlettype" : [ "bang", "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 223.0, 281.0, 32.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : ">= 10000",
									"id" : "obj-19",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 223.0, 256.0, 54.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "number",
									"id" : "obj-20",
									"outlettype" : [ "int", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 223.0, 230.0, 50.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "clocker 100",
									"id" : "obj-21",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 223.0, 207.0, 64.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "change",
									"id" : "obj-22",
									"outlettype" : [ "", "int", "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 223.0, 143.0, 40.0, 19.0 ],
									"numoutlets" : 3
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"id" : "obj-23",
									"outlettype" : [ "int" ],
									"numinlets" : 1,
									"patching_rect" : [ 223.0, 178.0, 20.0, 20.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "< 0.05",
									"id" : "obj-24",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 223.0, 111.0, 39.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-25",
									"outlettype" : [ "float" ],
									"numinlets" : 0,
									"patching_rect" : [ 89.0, 33.0, 25.0, 25.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-18", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-19", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-20", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0,
									"midpoints" : [ 232.5, 342.0, 298.0, 342.0, 298.0, 171.0, 232.5, 171.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-22", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0,
									"midpoints" : [ 98.5, 98.0, 232.5, 98.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-18", 0 ],
									"destination" : [ "obj-12", 1 ],
									"hidden" : 0,
									"midpoints" : [ 232.5, 304.0, 178.0, 304.0, 178.0, 138.0, 155.5, 138.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-11", 0 ],
									"hidden" : 0,
									"midpoints" : [ 98.5, 171.0, 121.5, 171.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-16", 0 ],
									"destination" : [ "obj-15", 0 ],
									"hidden" : 0,
									"midpoints" : [ 98.5, 125.0, 121.5, 125.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-13", 0 ],
									"destination" : [ "obj-17", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-13", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-13", 0 ],
									"hidden" : 0,
									"midpoints" : [ 232.5, 332.0, 157.0, 332.0, 157.0, 232.0, 98.5, 232.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-12", 0 ],
									"destination" : [ "obj-14", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-16", 0 ],
									"destination" : [ "obj-12", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 0 ],
									"destination" : [ "obj-16", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontsize" : 12.0,
						"fontname" : "Hiragino Kaku Gothic Pro W3",
						"globalpatchername" : "",
						"default_fontface" : 0,
						"fontface" : 0,
						"fontsize" : 12.0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3"
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピッチ検出",
					"id" : "obj-9",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 76.0, 122.0, 55.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピーク・レベル検出",
					"id" : "obj-10",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 288.0, 135.0, 98.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0.0〜1.0",
					"id" : "obj-11",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 277.0, 248.0, 49.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-12",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 271.0, 232.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "expr log ($f1)",
					"id" : "obj-13",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 271.0, 212.0, 74.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "zmap 0. 1. 1. 2.718282",
					"id" : "obj-14",
					"outlettype" : [ "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 5,
					"patching_rect" : [ 271.0, 192.0, 117.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "1",
					"hidden" : 1,
					"id" : "obj-15",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 7.0, 249.0, 16.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"hidden" : 1,
					"id" : "obj-16",
					"outlettype" : [ "bang" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 7.0, 230.0, 48.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "preset",
					"spacing" : 2,
					"hidden" : 1,
					"id" : "obj-17",
					"outlettype" : [ "preset", "int", "preset", "int" ],
					"numinlets" : 1,
					"bubblesize" : 8,
					"patching_rect" : [ 7.0, 268.0, 47.0, 27.0 ],
					"margin" : 4,
					"numoutlets" : 4,
					"preset_data" : [ 						{
							"number" : 1,
							"data" : [ 5, "obj-57", "number", "int", 424, 7, "obj-56", "swatch", "list", 38, 215, 255, 5, "obj-55", "toggle", "int", 0, 5, "obj-53", "number", "int", 135, 5, "obj-52", "number", "int", 0, 5, "obj-51", "flonum", "float", 0.0, 5, "obj-50", "flonum", "float", 0.0, 5, "obj-37", "flonum", "float", 35.0, 5, "obj-36", "flonum", "float", 80.0, 5, "obj-34", "toggle", "int", 0, 5, "obj-33", "number", "int", 0, 5, "obj-26", "flonum", "float", 1.0, 5, "obj-12", "flonum", "float", 0.0 ]
						}
 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0〜319の連続数を折り返す",
					"linecount" : 2,
					"id" : "obj-18",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 34.0, 394.0, 73.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "meter~",
					"id" : "obj-19",
					"tepidcolor" : [ 0.6, 0.729412, 0.0, 1.0 ],
					"outlettype" : [ "float" ],
					"coldcolor" : [ 0.0, 0.658824, 0.0, 1.0 ],
					"bgcolor" : [ 0.403922, 0.403922, 0.403922, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 199.0, 123.0, 80.0, 13.0 ],
					"warmcolor" : [ 0.85098, 0.85098, 0.0, 1.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ処理の開始／停止",
					"linecount" : 2,
					"id" : "obj-20",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 247.0, 27.0, 73.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "stop",
					"id" : "obj-21",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 188.0, 44.0, 29.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "startwindow",
					"id" : "obj-22",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 177.0, 26.0, 67.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ入力（Lchのみ）",
					"linecount" : 2,
					"id" : "obj-23",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 247.0, 65.0, 73.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "入力ゲイン調整",
					"id" : "obj-24",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 247.0, 104.0, 73.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "adc~",
					"id" : "obj-25",
					"outlettype" : [ "signal", "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 177.0, 68.0, 60.0, 19.0 ],
					"numoutlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-26",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 212.0, 101.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~ 1",
					"id" : "obj-27",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 177.0, 99.0, 32.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "239〜0",
					"id" : "obj-28",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 116.0, 277.0, 43.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "lcdオブジェクト",
					"id" : "obj-29",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 444.0, 431.0, 77.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "最大値",
					"id" : "obj-30",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 181.0, 214.0, 37.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "入力ピッチの\r最小値",
					"linecount" : 2,
					"id" : "obj-31",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 133.0, 202.0, 64.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "全消去",
					"id" : "obj-32",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 461.0, 151.0, 37.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"id" : "obj-33",
					"outlettype" : [ "int", "bang" ],
					"fontname" : "Geneva",
					"minimum" : 0,
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"maximum" : 4,
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 237.0, 442.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"id" : "obj-34",
					"outlettype" : [ "int" ],
					"numinlets" : 1,
					"patching_rect" : [ 21.0, 312.0, 15.0, 15.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "metro 10",
					"id" : "obj-35",
					"outlettype" : [ "bang" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 21.0, 336.0, 52.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-36",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 181.0, 230.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-37",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 134.0, 230.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "clear",
					"id" : "obj-38",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 423.0, 150.0, 33.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "scale 35. 80. 239 0",
					"id" : "obj-39",
					"outlettype" : [ "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 6,
					"patching_rect" : [ 107.0, 257.0, 152.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "zmap 0. 1. 0 80",
					"id" : "obj-40",
					"outlettype" : [ "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 5,
					"patching_rect" : [ 156.0, 386.0, 81.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "図形",
					"id" : "obj-41",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 240.0, 426.0, 30.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"id" : "obj-42",
					"outlettype" : [ "bang" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 549.0, 129.0, 48.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p paintdot_new",
					"id" : "obj-43",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 6,
					"patching_rect" : [ 93.0, 471.0, 259.0, 19.0 ],
					"numoutlets" : 1,
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 78.0, 405.0, 540.0, 390.0 ],
						"bglocked" : 0,
						"defrect" : [ 78.0, 405.0, 540.0, 390.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend set",
									"id" : "obj-1",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 79.0, 266.0, 62.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "umenu",
									"labelclick" : 1,
									"id" : "obj-2",
									"outlettype" : [ "int", "", "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"items" : [ "paintoval", ",", "frameoval", ",", "paintrect", ",", "framerect", ",", "linesegment" ],
									"types" : [  ],
									"numinlets" : 1,
									"patching_rect" : [ 80.0, 240.0, 100.0, 19.0 ],
									"numoutlets" : 3
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "prepend paintoval",
									"id" : "obj-3",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 26.0, 294.0, 89.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "描画色",
									"id" : "obj-4",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 312.0, 288.0, 37.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "大きさ",
									"id" : "obj-5",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 185.0, 12.0, 40.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "直前の画面を消去",
									"id" : "obj-6",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 436.0, 317.0, 89.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "frgb $1 $2 $3",
									"id" : "obj-7",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 304.0, 228.0, 73.0, 17.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "t i b",
									"id" : "obj-8",
									"outlettype" : [ "int", "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 26.0, 52.0, 88.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "clear",
									"id" : "obj-9",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 463.0, 284.0, 32.0, 17.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "gate 1 0",
									"id" : "obj-10",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 463.0, 198.0, 47.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "自動消去",
									"id" : "obj-11",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 459.0, 12.0, 49.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "描画色",
									"id" : "obj-12",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 295.0, 12.0, 38.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-13",
									"outlettype" : [ "int" ],
									"numinlets" : 0,
									"patching_rect" : [ 463.0, 26.0, 15.0, 15.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-14",
									"outlettype" : [ "" ],
									"numinlets" : 0,
									"patching_rect" : [ 304.0, 28.0, 15.0, 15.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "swatch",
									"id" : "obj-15",
									"outlettype" : [ "", "float" ],
									"compatibility" : 1,
									"numinlets" : 3,
									"patching_rect" : [ 304.0, 161.0, 128.0, 32.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "図形",
									"id" : "obj-16",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 244.0, 12.0, 29.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-17",
									"outlettype" : [ "int" ],
									"numinlets" : 0,
									"patching_rect" : [ 248.0, 29.0, 15.0, 15.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "outlet",
									"id" : "obj-18",
									"numinlets" : 1,
									"patching_rect" : [ 26.0, 331.0, 15.0, 15.0 ],
									"numoutlets" : 0,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "/ 2.",
									"id" : "obj-19",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 185.0, 105.0, 27.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "Y",
									"id" : "obj-20",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 162.0, 12.0, 17.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "X",
									"id" : "obj-21",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 24.0, 12.0, 17.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-22",
									"outlettype" : [ "int" ],
									"numinlets" : 0,
									"patching_rect" : [ 185.0, 29.0, 15.0, 15.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "bottom",
									"id" : "obj-23",
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 170.0, 197.0, 41.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "right",
									"id" : "obj-24",
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 124.0, 196.0, 32.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "top",
									"id" : "obj-25",
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 80.0, 196.0, 24.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "pack 0 0 0 0",
									"id" : "obj-26",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 4,
									"patching_rect" : [ 26.0, 211.0, 147.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 1",
									"id" : "obj-27",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 161.0, 176.0, 27.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 1",
									"id" : "obj-28",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 116.0, 176.0, 27.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 1",
									"id" : "obj-29",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 71.0, 176.0, 27.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 1",
									"id" : "obj-30",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 26.0, 176.0, 27.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 0.5",
									"id" : "obj-31",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 161.0, 153.0, 34.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "+ 0.5",
									"id" : "obj-32",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 116.0, 153.0, 34.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "- 0.5",
									"id" : "obj-33",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 71.0, 153.0, 33.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "- 0.5",
									"id" : "obj-34",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 26.0, 153.0, 33.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-35",
									"outlettype" : [ "int" ],
									"numinlets" : 0,
									"patching_rect" : [ 161.0, 29.0, 15.0, 15.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-36",
									"outlettype" : [ "int" ],
									"numinlets" : 0,
									"patching_rect" : [ 26.0, 29.0, 15.0, 15.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "left",
									"id" : "obj-37",
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 35.0, 195.0, 24.0, 19.0 ],
									"numoutlets" : 0
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-8", 1 ],
									"destination" : [ "obj-10", 1 ],
									"hidden" : 0,
									"midpoints" : [ 104.5, 91.0, 500.5, 91.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-10", 0 ],
									"destination" : [ "obj-9", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-13", 0 ],
									"destination" : [ "obj-10", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-15", 0 ],
									"destination" : [ "obj-7", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-15", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-31", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-19", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-27", 0 ],
									"destination" : [ "obj-26", 3 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-31", 0 ],
									"destination" : [ "obj-27", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-35", 0 ],
									"destination" : [ "obj-31", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-32", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-28", 0 ],
									"destination" : [ "obj-26", 2 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-32", 0 ],
									"destination" : [ "obj-28", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-32", 0 ],
									"hidden" : 0,
									"midpoints" : [ 35.5, 111.0, 125.5, 111.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-33", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-17", 0 ],
									"destination" : [ "obj-2", 0 ],
									"hidden" : 0,
									"midpoints" : [ 257.0, 234.0, 89.5, 234.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-2", 1 ],
									"destination" : [ "obj-1", 0 ],
									"hidden" : 0,
									"midpoints" : [ 130.0, 260.0, 88.5, 260.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-29", 0 ],
									"destination" : [ "obj-26", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-33", 0 ],
									"destination" : [ "obj-29", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-35", 0 ],
									"destination" : [ "obj-33", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-34", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-9", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0,
									"midpoints" : [ 472.5, 316.0, 35.0, 316.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0,
									"midpoints" : [ 313.5, 316.0, 35.0, 316.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-18", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-26", 0 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-1", 0 ],
									"destination" : [ "obj-3", 0 ],
									"hidden" : 0,
									"midpoints" : [ 88.5, 288.0, 35.5, 288.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-30", 0 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-34", 0 ],
									"destination" : [ "obj-30", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-8", 0 ],
									"destination" : [ "obj-34", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-36", 0 ],
									"destination" : [ "obj-8", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontsize" : 12.0,
						"fontname" : "Hiragino Kaku Gothic Pro W3",
						"globalpatchername" : "",
						"default_fontface" : 0,
						"fontface" : 0,
						"fontsize" : 12.0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3"
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "size 320 240, border 0, brgb 0 0 0, clear",
					"id" : "obj-44",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 549.0, 148.0, 200.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "自動\r消去",
					"linecount" : 2,
					"id" : "obj-45",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 350.0, 443.0, 30.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "描画色",
					"id" : "obj-46",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 290.0, 446.0, 37.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "大きさ",
					"id" : "obj-47",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 197.0, 426.0, 35.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Y座標",
					"id" : "obj-48",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 147.0, 426.0, 35.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "X座標",
					"id" : "obj-49",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 99.0, 426.0, 35.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-50",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 271.0, 174.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-51",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 75.0, 176.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"id" : "obj-52",
					"outlettype" : [ "int", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 189.0, 442.0, 36.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"id" : "obj-53",
					"outlettype" : [ "int", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 93.0, 442.0, 36.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "counter 2 0 319",
					"id" : "obj-54",
					"outlettype" : [ "int", "", "", "int" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 5,
					"patching_rect" : [ 21.0, 372.0, 83.0, 19.0 ],
					"numoutlets" : 4
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"id" : "obj-55",
					"outlettype" : [ "int" ],
					"numinlets" : 1,
					"patching_rect" : [ 333.0, 442.0, 15.0, 15.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "swatch",
					"id" : "obj-56",
					"outlettype" : [ "", "float" ],
					"compatibility" : 1,
					"numinlets" : 3,
					"patching_rect" : [ 285.0, 405.0, 71.0, 35.0 ],
					"numoutlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"id" : "obj-57",
					"outlettype" : [ "int", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 141.0, 442.0, 36.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "lcd",
					"id" : "obj-58",
					"outlettype" : [ "list", "list", "int", "" ],
					"border" : 0,
					"numinlets" : 1,
					"patching_rect" : [ 423.0, 180.0, 320.0, 240.0 ],
					"numoutlets" : 4
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p audio_peak",
					"id" : "obj-59",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 271.0, 152.0, 67.0, 19.0 ],
					"numoutlets" : 1,
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 20.0, 74.0, 284.0, 291.0 ],
						"bglocked" : 0,
						"defrect" : [ 20.0, 74.0, 284.0, 291.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "clip 0. 1.",
									"id" : "obj-1",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 3,
									"patching_rect" : [ 78.0, 169.0, 50.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "音の大きさを検出する",
									"id" : "obj-2",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 29.0, 32.0, 119.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "実数（0.0〜1.0）",
									"id" : "obj-3",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 103.0, 204.0, 119.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "outlet",
									"id" : "obj-4",
									"numinlets" : 1,
									"patching_rect" : [ 78.0, 204.0, 25.0, 25.0 ],
									"numoutlets" : 0,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-5",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 78.0, 138.0, 35.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "peakamp~ 20",
									"id" : "obj-6",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 78.0, 111.0, 68.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-7",
									"outlettype" : [ "signal" ],
									"numinlets" : 0,
									"patching_rect" : [ 78.0, 56.0, 25.0, 25.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "オーディオ・シグナル",
									"id" : "obj-8",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 100.0, 56.0, 109.0, 19.0 ],
									"numoutlets" : 0
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-1", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-5", 0 ],
									"destination" : [ "obj-1", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-6", 0 ],
									"destination" : [ "obj-5", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-7", 0 ],
									"destination" : [ "obj-6", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontsize" : 12.0,
						"fontname" : "Hiragino Kaku Gothic Pro W3",
						"globalpatchername" : "",
						"default_fontface" : 0,
						"fontface" : 0,
						"fontsize" : 12.0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3"
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "fpic",
					"id" : "obj-61",
					"embed" : 1,
					"numinlets" : 1,
					"patching_rect" : [ 424.0, 425.0, 19.0, 21.0 ],
					"numoutlets" : 0,
					"data" : [ 249, "", "IBkSG0fBZn....PCIgDQRA...LA...PEHX.....oITcz....DLmPIQEBHf.B7g.YHB....aRDEDU3zXqTFcDCBBDD8cYREPqjTSjZRqISqPKr9ggQIiBmJ6OvGvi8l8NLII5jdzKP.7LuwL6VfjzJL.Rozk.EBA.Jg05vsdTWv.30Pr.9d.aF.+6pZxUZJAe+LBrrdoxLDBj6Bk.yFuuy1pZI9gv15JuxsyLqce3gvlFhb1ghpNKCziqpB68uVgogn6wLK+EjYVwkxMqd.sDVpdYd1A+BmsGDuiSRZEVOTW+osqvlciDP8WjDwEI.....jTQNQjqBAlf" ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-42", 0 ],
					"destination" : [ "obj-44", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-38", 0 ],
					"destination" : [ "obj-58", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-43", 0 ],
					"destination" : [ "obj-58", 0 ],
					"hidden" : 0,
					"midpoints" : [ 102.5, 508.0, 417.0, 508.0, 417.0, 174.0, 432.5, 174.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-44", 0 ],
					"destination" : [ "obj-58", 0 ],
					"hidden" : 0,
					"midpoints" : [ 558.5, 171.0, 432.5, 171.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 0 ],
					"destination" : [ "obj-38", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-55", 0 ],
					"destination" : [ "obj-43", 5 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-4", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 0 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-6", 1 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-56", 0 ],
					"destination" : [ "obj-43", 4 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-5", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-12", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-12", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-13", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-50", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-59", 0 ],
					"destination" : [ "obj-50", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-59", 0 ],
					"hidden" : 0,
					"midpoints" : [ 186.5, 144.0, 280.5, 144.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [ 297.0, 339.0, 261.5, 339.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-43", 3 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [ 186.5, 118.0, 208.5, 118.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-27", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-52", 0 ],
					"destination" : [ "obj-43", 2 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-40", 0 ],
					"destination" : [ "obj-52", 0 ],
					"hidden" : 0,
					"midpoints" : [ 165.5, 422.0, 198.5, 422.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 0 ],
					"destination" : [ "obj-27", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 197.5, 63.0, 186.5, 63.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-36", 0 ],
					"destination" : [ "obj-39", 2 ],
					"hidden" : 0,
					"midpoints" : [ 190.5, 250.0, 169.699997, 250.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 261.5, 379.0, 165.5, 379.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-57", 0 ],
					"destination" : [ "obj-43", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-39", 0 ],
					"destination" : [ "obj-57", 0 ],
					"hidden" : 0,
					"midpoints" : [ 116.5, 376.0, 150.5, 376.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-37", 0 ],
					"destination" : [ "obj-39", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-39", 0 ],
					"hidden" : 0,
					"midpoints" : [ 84.5, 233.0, 116.5, 233.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-53", 0 ],
					"destination" : [ "obj-43", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-54", 0 ],
					"destination" : [ "obj-53", 0 ],
					"hidden" : 0,
					"midpoints" : [ 30.5, 425.0, 102.5, 425.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-35", 0 ],
					"destination" : [ "obj-54", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-34", 0 ],
					"destination" : [ "obj-35", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 1,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-60", 0 ],
					"destination" : [ "obj-51", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-60", 0 ],
					"hidden" : 0,
					"midpoints" : [ 186.5, 147.0, 84.5, 147.0 ]
				}

			}
 ]
	}

}
