{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 263.0, 126.0, 506.0, 560.0 ],
		"bglocked" : 0,
		"defrect" : [ 263.0, 126.0, 506.0, 560.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "窓関数によるエンベロープ",
					"id" : "obj-1",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 223.0, 414.0, 118.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "buffer~に読み込まれた\rオーディオを再生",
					"linecount" : 2,
					"id" : "obj-2",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 21.0, 381.0, 107.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "窓関数の出力が0の\r時にサンプリング＆\rホールドを実行",
					"linecount" : 3,
					"id" : "obj-3",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 258.0, 353.0, 88.0, 45.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "位相\r",
					"id" : "obj-4",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 193.0, 177.0, 29.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-5",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 169.0, 198.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "グレインの\rボリューム",
					"linecount" : 2,
					"id" : "obj-6",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 251.0, 447.0, 64.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "再生開始位置\r（msec）",
					"linecount" : 2,
					"id" : "obj-7",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 282.0, 269.0, 65.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "周波数に変換",
					"id" : "obj-8",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 17.0, 150.0, 64.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "グレインのサイズ",
					"id" : "obj-9",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 65.0, 21.0, 82.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "msec",
					"id" : "obj-10",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 126.0, 58.0, 73.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピッチ・レート",
					"id" : "obj-11",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 128.0, 110.0, 73.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "0→1の\rシグナル",
					"linecount" : 2,
					"id" : "obj-12",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 88.0, 242.0, 46.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "窓関数",
					"id" : "obj-13",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 359.0, 215.0, 37.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "send~ output",
					"id" : "obj-14",
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 129.0, 488.0, 67.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-15",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 213.0, 462.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-16",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 145.0, 148.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sig~ 100",
					"id" : "obj-17",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 85.0, 80.0, 50.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~ 1",
					"id" : "obj-18",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 85.0, 178.0, 79.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-19",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 85.0, 59.0, 39.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "!/~ 1000",
					"id" : "obj-20",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 85.0, 148.0, 52.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sah~ 0",
					"id" : "obj-21",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 213.0, 296.0, 40.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r gain",
					"id" : "obj-22",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 0,
					"patching_rect" : [ 213.0, 441.0, 34.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r pitch",
					"id" : "obj-23",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 0,
					"patching_rect" : [ 145.0, 128.0, 40.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r size",
					"id" : "obj-24",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 0,
					"patching_rect" : [ 85.0, 39.0, 36.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "receive~ pos",
					"id" : "obj-25",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 278.0, 297.0, 68.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~",
					"id" : "obj-26",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 129.0, 461.0, 75.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "inlet",
					"id" : "obj-27",
					"outlettype" : [ "" ],
					"numinlets" : 0,
					"patching_rect" : [ 169.0, 172.0, 25.0, 25.0 ],
					"numoutlets" : 1,
					"comment" : ""
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "play~ mybuffer",
					"id" : "obj-28",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 129.0, 389.0, 80.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "wave~ wndw",
					"id" : "obj-29",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 3,
					"patching_rect" : [ 346.0, 234.0, 83.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "phasor~",
					"id" : "obj-30",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 129.0, 219.0, 59.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~",
					"id" : "obj-31",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 129.0, 325.0, 49.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "+~",
					"id" : "obj-32",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 129.0, 357.0, 49.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~",
					"id" : "obj-33",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 129.0, 411.0, 93.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sah~ 0",
					"id" : "obj-34",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 278.0, 329.0, 40.0, 19.0 ],
					"numoutlets" : 1
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-24", 0 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-30", 0 ],
					"hidden" : 0,
					"midpoints" : [ 94.5, 205.0, 138.5, 205.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-30", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-31", 0 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-28", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-26", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-23", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-18", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-31", 1 ],
					"hidden" : 0,
					"midpoints" : [ 222.5, 317.0, 168.5, 317.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-34", 0 ],
					"destination" : [ "obj-32", 1 ],
					"hidden" : 0,
					"midpoints" : [ 287.5, 351.0, 168.5, 351.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-5", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-30", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-26", 1 ],
					"hidden" : 0,
					"midpoints" : [ 222.5, 483.0, 208.0, 483.0, 208.0, 456.0, 194.5, 456.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-29", 0 ],
					"destination" : [ "obj-33", 1 ],
					"hidden" : 0,
					"midpoints" : [ 355.5, 404.0, 212.5, 404.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [ 94.5, 103.0, 222.5, 103.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-29", 0 ],
					"destination" : [ "obj-21", 1 ],
					"hidden" : 0,
					"midpoints" : [ 355.5, 256.0, 243.5, 256.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 0 ],
					"destination" : [ "obj-34", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-29", 0 ],
					"destination" : [ "obj-34", 1 ],
					"hidden" : 0,
					"midpoints" : [ 355.5, 323.0, 308.5, 323.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-30", 0 ],
					"destination" : [ "obj-29", 0 ],
					"hidden" : 0,
					"midpoints" : [ 138.5, 257.0, 195.0, 257.0, 195.0, 228.0, 355.5, 228.0 ]
				}

			}
 ]
	}

}
