{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 564.0, 418.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 564.0, 418.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "TCP/IP受信パッチ",
					"fontsize" : 14.0,
					"patching_rect" : [ 24.0, 251.0, 125.0, 26.0 ],
					"numinlets" : 1,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"patching_rect" : [ 45.0, 386.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"id" : "obj-2",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "route bang2",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 337.0, 63.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-3",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "TCP/IPプロトコルでパケット受信する",
					"fontsize" : 9.0,
					"patching_rect" : [ 202.0, 316.0, 169.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-4",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "受信したデータ",
					"fontsize" : 9.0,
					"patching_rect" : [ 185.0, 389.0, 75.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-5",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "1 2 3 4 0.26",
					"fontsize" : 9.0,
					"patching_rect" : [ 89.0, 389.0, 89.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-6",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend set",
					"fontsize" : 9.0,
					"patching_rect" : [ 89.0, 362.0, 62.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-7",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ポート番号",
					"fontsize" : 9.0,
					"patching_rect" : [ 49.0, 275.0, 55.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-8",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 7778",
					"fontsize" : 9.0,
					"patching_rect" : [ 111.0, 291.0, 57.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-9",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 8000",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 291.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-10",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mxj net.tcp.recv @port 7778",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 314.0, 150.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-11",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "TCP/IP送信パッチ",
					"fontsize" : 14.0,
					"patching_rect" : [ 24.0, 18.0, 125.0, 26.0 ],
					"numinlets" : 1,
					"id" : "obj-12",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"patching_rect" : [ 45.0, 67.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"id" : "obj-13",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "bang2",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 86.0, 36.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-14",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信に失敗した\rデータ",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 136.0, 155.0, 68.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-15",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"fontsize" : 9.0,
					"patching_rect" : [ 128.0, 216.0, 70.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-16",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend set",
					"fontsize" : 9.0,
					"patching_rect" : [ 128.0, 190.0, 62.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-17",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信に成功した\rデータ",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 56.0, 154.0, 68.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-18",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "1 2 3 4 0.26",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 216.0, 79.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-19",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend set",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 189.0, 62.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-20",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "TCP/IPプロトコルでパケット送信する",
					"fontsize" : 9.0,
					"patching_rect" : [ 315.0, 137.0, 169.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-21",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信するデータ",
					"fontsize" : 9.0,
					"patching_rect" : [ 77.0, 45.0, 73.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-22",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ポート番号",
					"fontsize" : 9.0,
					"patching_rect" : [ 420.0, 57.0, 55.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-23",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 160.0, 48.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-24",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "1 2 3 4 $1",
					"fontsize" : 9.0,
					"patching_rect" : [ 160.0, 67.0, 58.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-25",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 120.0, 67.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-26",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "address 127.0.0.1",
					"fontsize" : 9.0,
					"patching_rect" : [ 318.0, 77.0, 92.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-27",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "address 10.0.0.2",
					"fontsize" : 9.0,
					"patching_rect" : [ 329.0, 96.0, 87.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-28",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 7778",
					"fontsize" : 9.0,
					"patching_rect" : [ 434.0, 96.0, 57.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-29",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 8001",
					"fontsize" : 9.0,
					"patching_rect" : [ 423.0, 77.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-30",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "Hello! my sweet",
					"fontsize" : 9.0,
					"patching_rect" : [ 223.0, 67.0, 82.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-31",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 81.0, 67.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-32",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "int", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mxj net.tcp.send @address 127.0.0.1 @port 7778",
					"fontsize" : 9.0,
					"patching_rect" : [ 45.0, 134.0, 269.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-33",
					"fontname" : "Geneva",
					"numoutlets" : 4,
					"outlettype" : [ "", "", "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信先の IPアドレス",
					"fontsize" : 9.0,
					"patching_rect" : [ 317.0, 57.0, 100.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-34",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-24", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 1 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 1 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-2", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-3", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [ 54.5, 308.0, 54.5, 308.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [ 120.5, 310.0, 54.5, 310.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-19", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-33", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 54.5, 110.0, 54.5, 110.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-31", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 232.5, 110.0, 54.5, 110.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 129.5, 110.0, 54.5, 110.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 169.5, 110.0, 54.5, 110.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 327.5, 126.0, 54.5, 126.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 90.5, 110.0, 54.5, 110.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-30", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 432.5, 126.0, 54.5, 126.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-29", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 443.5, 126.0, 54.5, 126.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-28", 0 ],
					"destination" : [ "obj-33", 0 ],
					"hidden" : 0,
					"midpoints" : [ 338.5, 126.0, 54.5, 126.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
