{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "UDP/IP受信パッチ",
					"fontsize" : 14.0,
					"patching_rect" : [ 28.0, 225.0, 126.0, 26.0 ],
					"numinlets" : 1,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"patching_rect" : [ 44.0, 368.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"id" : "obj-2",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "route bang2",
					"fontsize" : 9.0,
					"patching_rect" : [ 44.0, 319.0, 72.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-3",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "UDP/IPプロトコルでパケット受信する",
					"fontsize" : 9.0,
					"patching_rect" : [ 199.0, 298.0, 169.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-4",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "受信したデータ",
					"fontsize" : 9.0,
					"patching_rect" : [ 191.0, 369.0, 75.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-5",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "Hello! my sweet",
					"fontsize" : 9.0,
					"patching_rect" : [ 97.0, 369.0, 89.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-6",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend set",
					"fontsize" : 9.0,
					"patching_rect" : [ 97.0, 342.0, 62.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-7",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ポート番号",
					"fontsize" : 9.0,
					"patching_rect" : [ 46.0, 254.0, 55.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-8",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 7777",
					"fontsize" : 9.0,
					"patching_rect" : [ 108.0, 270.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-9",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 8000",
					"fontsize" : 9.0,
					"patching_rect" : [ 44.0, 270.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-10",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mxj net.udp.recv @port 7777",
					"fontsize" : 9.0,
					"patching_rect" : [ 44.0, 296.0, 144.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-11",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "UDP/IP送信パッチ",
					"fontsize" : 14.0,
					"patching_rect" : [ 28.0, 21.0, 125.0, 26.0 ],
					"numinlets" : 1,
					"id" : "obj-12",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "＠アトリビュートで送信先IPアドレスとポート番号を指定する",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 61.0, 163.0, 169.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-13",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"patching_rect" : [ 43.0, 68.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"id" : "obj-14",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "bang2",
					"fontsize" : 9.0,
					"patching_rect" : [ 43.0, 90.0, 36.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-15",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "UDP/IPプロトコルでパケット送信する",
					"fontsize" : 9.0,
					"patching_rect" : [ 284.0, 140.0, 169.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-16",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信するデータ",
					"fontsize" : 9.0,
					"patching_rect" : [ 75.0, 46.0, 73.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-17",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ポート番号",
					"fontsize" : 9.0,
					"patching_rect" : [ 418.0, 60.0, 55.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-18",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 158.0, 52.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-19",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "1 2 3 4 $1",
					"fontsize" : 9.0,
					"patching_rect" : [ 158.0, 71.0, 58.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-20",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 118.0, 71.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-21",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "address 127.0.0.1",
					"fontsize" : 9.0,
					"patching_rect" : [ 315.0, 80.0, 92.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-22",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "address 10.0.0.2",
					"fontsize" : 9.0,
					"patching_rect" : [ 326.0, 99.0, 87.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-23",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 7777",
					"fontsize" : 9.0,
					"patching_rect" : [ 432.0, 99.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-24",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 8000",
					"fontsize" : 9.0,
					"patching_rect" : [ 421.0, 80.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-25",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "Hello! my sweet",
					"fontsize" : 9.0,
					"patching_rect" : [ 221.0, 71.0, 82.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-26",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 79.0, 71.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-27",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "int", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "mxj net.udp.send @address 127.0.0.1 @port 7777",
					"fontsize" : 9.0,
					"patching_rect" : [ 43.0, 139.0, 237.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-28",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信先の IPアドレス",
					"fontsize" : 9.0,
					"patching_rect" : [ 314.0, 60.0, 100.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-29",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-20", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-7", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 1 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-2", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-3", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [ 53.5, 290.0, 53.5, 290.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [ 117.5, 290.0, 53.5, 290.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-23", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 335.5, 129.0, 52.5, 129.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-24", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 441.5, 129.0, 52.5, 129.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 430.5, 129.0, 52.5, 129.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 88.5, 113.0, 52.5, 113.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 324.5, 129.0, 52.5, 129.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 167.5, 113.0, 52.5, 113.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 127.5, 113.0, 52.5, 113.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 230.5, 113.0, 52.5, 113.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-28", 0 ],
					"hidden" : 0,
					"midpoints" : [ 52.5, 113.0, 52.5, 113.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
