{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "OSC受信パッチ",
					"fontsize" : 14.0,
					"patching_rect" : [ 29.0, 210.0, 125.0, 26.0 ],
					"numinlets" : 1,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 7779",
					"fontsize" : 9.0,
					"patching_rect" : [ 54.0, 252.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-2",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 8002",
					"fontsize" : 9.0,
					"patching_rect" : [ 117.0, 252.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-3",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ポート番号",
					"fontsize" : 9.0,
					"patching_rect" : [ 55.0, 237.0, 55.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-4",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "OSC/UDP/IPプロトコルでパケットを受信する",
					"fontsize" : 9.0,
					"patching_rect" : [ 148.0, 278.0, 202.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-5",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend set",
					"fontsize" : 9.0,
					"patching_rect" : [ 54.0, 309.0, 62.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-6",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "受信したデータ",
					"fontsize" : 9.0,
					"patching_rect" : [ 147.0, 332.0, 75.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-7",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "bang",
					"fontsize" : 9.0,
					"patching_rect" : [ 54.0, 330.0, 89.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-8",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "udpreceive 7779",
					"fontsize" : 9.0,
					"patching_rect" : [ 54.0, 276.0, 86.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-9",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "OSC送信パッチ",
					"fontsize" : 14.0,
					"patching_rect" : [ 29.0, 30.0, 125.0, 26.0 ],
					"numinlets" : 1,
					"id" : "obj-10",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "アーギュメントで送信先IPアドレスと\rポート番号を指定する",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 168.0, 163.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-11",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信先の IPアドレス",
					"fontsize" : 9.0,
					"patching_rect" : [ 322.0, 63.0, 94.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-12",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 8002",
					"fontsize" : 9.0,
					"patching_rect" : [ 420.0, 84.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-13",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "host 10.0.0.2",
					"fontsize" : 9.0,
					"patching_rect" : [ 339.0, 105.0, 71.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-14",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "port 7779",
					"fontsize" : 9.0,
					"patching_rect" : [ 434.0, 105.0, 56.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-15",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "host 127.0.0.1",
					"fontsize" : 9.0,
					"patching_rect" : [ 322.0, 84.0, 77.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-16",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "OSC/UDP/IPプロトコルでパケット送信する",
					"fontsize" : 9.0,
					"patching_rect" : [ 183.0, 147.0, 193.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-17",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"patching_rect" : [ 52.0, 79.0, 15.0, 15.0 ],
					"numinlets" : 1,
					"id" : "obj-18",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ポート番号",
					"fontsize" : 9.0,
					"patching_rect" : [ 424.0, 63.0, 55.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-19",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 167.0, 59.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-20",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "1 2 3 4 $1",
					"fontsize" : 9.0,
					"patching_rect" : [ 167.0, 79.0, 58.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-21",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 127.0, 79.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-22",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "Hello! my sweet",
					"fontsize" : 9.0,
					"patching_rect" : [ 230.0, 79.0, 82.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-23",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"fontsize" : 9.0,
					"triscale" : 0.9,
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"patching_rect" : [ 88.0, 79.0, 35.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-24",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "int", "bang" ],
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "udpsend 127.0.0.1 7779",
					"fontsize" : 9.0,
					"patching_rect" : [ 52.0, 145.0, 120.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-25",
					"fontname" : "Geneva",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "送信するデータ",
					"fontsize" : 9.0,
					"patching_rect" : [ 85.0, 56.0, 73.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-26",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [ 126.5, 271.0, 63.5, 271.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 429.5, 135.0, 61.5, 135.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 348.5, 135.0, 61.5, 135.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 61.0, 120.0, 61.5, 120.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-24", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 97.5, 120.0, 61.5, 120.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-22", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 136.5, 120.0, 61.5, 120.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 176.5, 120.0, 61.5, 120.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-23", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 239.5, 120.0, 61.5, 120.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 443.5, 135.0, 61.5, 135.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 331.5, 135.0, 61.5, 135.0 ]
				}

			}
 ]
	}

}
