{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 550.0, 400.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "バッファーをテーブルとして\r参照する",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 202.0, 133.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "バッファー内容の情報、編集、\rインターフェース",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 213.0, 133.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-2",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "バッファー内容をプレイバック、\r読み出す",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 24.0, 145.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-3",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "バッファーにレコーディング、\r書き込みを行う",
					"linecount" : 2,
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 24.0, 133.0, 32.0 ],
					"numinlets" : 1,
					"id" : "obj-4",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "set MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 275.0, 70.0, 17.0 ],
					"numinlets" : 2,
					"id" : "obj-5",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "waveform~",
					"waveformcolor" : [ 0.129412, 0.0, 0.0, 1.0 ],
					"tickmarkcolor" : [ 0.392157, 0.392157, 0.392157, 1.0 ],
					"textcolor" : [  ],
					"buffername" : "",
					"patching_rect" : [ 53.0, 295.0, 200.0, 74.0 ],
					"numinlets" : 5,
					"selectioncolor" : [ 0.0, 0.372549, 1.0, 0.5 ],
					"labelbgcolor" : [ 0.745098, 0.537255, 1.0, 1.0 ],
					"id" : "obj-6",
					"numoutlets" : 6,
					"setmode" : 1,
					"outlettype" : [ "float", "float", "float", "float", "list", "" ],
					"bgcolor" : [ 0.235294, 0.698039, 0.678431, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "2d.wave~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 326.0, 100.0, 19.0 ],
					"numinlets" : 4,
					"id" : "obj-7",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "lookup~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 297.0, 90.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-8",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "wave~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 267.0, 86.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-9",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "cycle~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 235.0, 86.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-10",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "info~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 246.0, 105.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-11",
					"fontname" : "Geneva",
					"numoutlets" : 8,
					"outlettype" : [ "float", "list", "float", "float", "float", "float", "float", "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "peek~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 154.0, 82.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-12",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "float" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "index~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 122.0, 86.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-13",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "groove~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 87.0, 93.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-14",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "signal", "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "play~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 379.0, 55.0, 81.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-15",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "poke~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 122.0, 82.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-16",
					"fontname" : "Geneva",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "peek~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 87.0, 82.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-17",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "float" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "record~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 53.0, 55.0, 92.0, 19.0 ],
					"numinlets" : 3,
					"id" : "obj-18",
					"fontname" : "Geneva",
					"numoutlets" : 1,
					"outlettype" : [ "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "buffer~ MyBuffer",
					"fontsize" : 9.0,
					"patching_rect" : [ 221.0, 184.0, 90.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-19",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "float", "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "バッファーをメモリー上に確保し、ファイルの入出力を行う",
					"linecount" : 3,
					"fontsize" : 9.0,
					"patching_rect" : [ 214.0, 139.0, 100.0, 45.0 ],
					"numinlets" : 1,
					"id" : "obj-20",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
