{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 268.0, 128.0, 390.0, 310.0 ],
		"bglocked" : 0,
		"defrect" : [ 268.0, 128.0, 390.0, 310.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "極座標を直交座標に変換",
					"fontsize" : 9.0,
					"patching_rect" : [ 154.0, 158.0, 105.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-1",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "直交座標を極座標に変換",
					"fontsize" : 9.0,
					"patching_rect" : [ 155.0, 110.0, 105.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-2",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "poltocar~",
					"fontsize" : 9.0,
					"patching_rect" : [ 94.0, 157.0, 56.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-3",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "signal", "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "cartopol~",
					"fontsize" : 9.0,
					"patching_rect" : [ 94.0, 109.0, 56.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-4",
					"fontname" : "Geneva",
					"numoutlets" : 2,
					"outlettype" : [ "signal", "signal" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "pfft~にアウトレットを作り、\rシグナルを送り出す。\rハニング窓を用いたIFFTを行う。",
					"linecount" : 3,
					"fontsize" : 9.0,
					"patching_rect" : [ 94.0, 223.0, 148.0, 45.0 ],
					"numinlets" : 1,
					"id" : "obj-5",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "pfft~にインレットを作り、\rシグナルを受け取る。\rハニング窓を用いたFFTを行う。",
					"linecount" : 3,
					"fontsize" : 9.0,
					"patching_rect" : [ 88.0, 18.0, 149.0, 45.0 ],
					"numinlets" : 1,
					"id" : "obj-6",
					"fontname" : "Osaka",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "fftout~ 1 hanning",
					"fontsize" : 9.0,
					"patching_rect" : [ 94.0, 202.0, 86.0, 19.0 ],
					"numinlets" : 2,
					"id" : "obj-7",
					"fontname" : "Geneva",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "fftin~ 1 hanning",
					"fontsize" : 9.0,
					"patching_rect" : [ 94.0, 65.0, 92.0, 19.0 ],
					"numinlets" : 1,
					"id" : "obj-8",
					"fontname" : "Geneva",
					"numoutlets" : 3,
					"outlettype" : [ "signal", "signal", "signal" ]
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-3", 1 ],
					"destination" : [ "obj-7", 1 ],
					"hidden" : 0,
					"midpoints" : [ 140.5, 188.0, 170.5, 188.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-4", 1 ],
					"destination" : [ "obj-3", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 1 ],
					"destination" : [ "obj-4", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-3", 0 ],
					"destination" : [ "obj-7", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-4", 0 ],
					"destination" : [ "obj-3", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 0 ],
					"destination" : [ "obj-4", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
