{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 100.0, 100.0, 320.0, 302.0 ],
		"bglocked" : 0,
		"defrect" : [ 100.0, 100.0, 320.0, 302.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Hiragino Kaku Gothic Pro W3",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"metadata" : [  ],
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "p audio_pitch",
					"id" : "obj-1",
					"outlettype" : [ "float" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 39.0, 190.0, 68.0, 19.0 ],
					"numoutlets" : 1,
					"patcher" : 					{
						"fileversion" : 1,
						"rect" : [ 280.0, 101.0, 483.0, 510.0 ],
						"bglocked" : 0,
						"defrect" : [ 280.0, 101.0, 483.0, 510.0 ],
						"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
						"openinpresentation" : 0,
						"default_fontsize" : 12.0,
						"default_fontface" : 0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3",
						"gridonopen" : 0,
						"gridsize" : [ 15.0, 15.0 ],
						"gridsnaponopen" : 0,
						"toolbarvisible" : 1,
						"boxanimatetime" : 200,
						"imprint" : 0,
						"metadata" : [  ],
						"boxes" : [ 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "サンプリング・レイトを44100Hzに設定",
									"linecount" : 2,
									"id" : "obj-1",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 98.0, 403.0, 97.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "シグナル・ベクター\rサイズを64に設定",
									"linecount" : 2,
									"id" : "obj-2",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 98.0, 370.0, 91.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "loadbang",
									"id" : "obj-3",
									"outlettype" : [ "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 9.0, 347.0, 48.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : ";\rdsp sigvs 64",
									"linecount" : 2,
									"id" : "obj-4",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 26.0, 370.0, 72.0, 29.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : ";\rdsp sr 44100",
									"linecount" : 2,
									"id" : "obj-5",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 26.0, 403.0, 72.0, 29.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "ピッチ解析のスレッショルド値を設定",
									"id" : "obj-6",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 246.0, 45.0, 176.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "差の絶対値",
									"id" : "obj-7",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 283.0, 271.0, 55.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "現在の値と直前の値の差（変化量)\r",
									"id" : "obj-8",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 283.0, 249.0, 166.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "直前に受け取った値を出力",
									"id" : "obj-9",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 305.0, 227.0, 131.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "加工されたピッチ\r（ノート・ナンバー）",
									"linecount" : 2,
									"id" : "obj-10",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 8.0, 163.0, 100.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "アタック検出",
									"id" : "obj-11",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 113.0, 132.0, 64.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "button",
									"id" : "obj-12",
									"outlettype" : [ "bang" ],
									"numinlets" : 1,
									"patching_rect" : [ 127.0, 114.0, 15.0, 15.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-13",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 67.0, 143.0, 35.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "loadbang",
									"id" : "obj-14",
									"outlettype" : [ "bang" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 154.0, 25.0, 48.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "message",
									"text" : "amp-range 60 60",
									"id" : "obj-15",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 154.0, 45.0, 88.0, 17.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "（変化量の大きさが2以上ならノイズとして無視する）",
									"linecount" : 2,
									"id" : "obj-16",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 55.0, 256.0, 129.0, 32.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "誤検知のノイズを除去する\r",
									"id" : "obj-17",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 62.0, 241.0, 129.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "未加工のピッチ（ノートナンバー）",
									"id" : "obj-18",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 229.0, 157.0, 179.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-19",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 187.0, 165.0, 41.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "t f f",
									"id" : "obj-20",
									"outlettype" : [ "float", "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 187.0, 195.0, 64.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "gate",
									"id" : "obj-21",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 232.0, 340.0, 161.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "toggle",
									"id" : "obj-22",
									"outlettype" : [ "int" ],
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 317.0, 15.0, 15.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "< 2.",
									"id" : "obj-23",
									"outlettype" : [ "int" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 232.0, 292.0, 40.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "abs 0.",
									"id" : "obj-24",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 270.0, 49.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "- 0.",
									"id" : "obj-25",
									"outlettype" : [ "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 2,
									"patching_rect" : [ 232.0, 247.0, 49.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "bucket",
									"id" : "obj-26",
									"outlettype" : [ "" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 262.0, 226.0, 38.0, 19.0 ],
									"numoutlets" : 1
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "音のピッチ（高さ）を検出する",
									"id" : "obj-27",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 258.0, 83.0, 176.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "実数（ノートナンバー）",
									"id" : "obj-28",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 257.0, 401.0, 119.0, 19.0 ],
									"numoutlets" : 0
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "outlet",
									"id" : "obj-29",
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 401.0, 25.0, 25.0 ],
									"numoutlets" : 0,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "flonum",
									"id" : "obj-30",
									"outlettype" : [ "float", "bang" ],
									"fontname" : "Geneva",
									"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 232.0, 367.0, 35.0, 19.0 ],
									"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
									"numoutlets" : 2,
									"triscale" : 0.9
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "unpack 0. 0.",
									"id" : "obj-31",
									"outlettype" : [ "float", "float" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 187.0, 114.0, 68.0, 19.0 ],
									"numoutlets" : 2
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "newobj",
									"text" : "fiddle~ 2048 1 20 1",
									"id" : "obj-32",
									"outlettype" : [ "float", "bang", "list", "float", "list" ],
									"fontname" : "Geneva",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 67.0, 82.0, 182.0, 19.0 ],
									"numoutlets" : 5
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "inlet",
									"id" : "obj-33",
									"outlettype" : [ "signal" ],
									"numinlets" : 0,
									"patching_rect" : [ 67.0, 42.0, 25.0, 25.0 ],
									"numoutlets" : 1,
									"comment" : ""
								}

							}
, 							{
								"box" : 								{
									"maxclass" : "comment",
									"text" : "オーディオ・シグナル",
									"id" : "obj-34",
									"fontname" : "Osaka",
									"fontsize" : 9.0,
									"numinlets" : 1,
									"patching_rect" : [ 31.0, 16.0, 109.0, 19.0 ],
									"numoutlets" : 0
								}

							}
 ],
						"lines" : [ 							{
								"patchline" : 								{
									"source" : [ "obj-32", 2 ],
									"destination" : [ "obj-31", 0 ],
									"hidden" : 0,
									"midpoints" : [ 158.0, 107.0, 196.5, 107.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-32", 1 ],
									"destination" : [ "obj-12", 0 ],
									"hidden" : 0,
									"midpoints" : [ 117.25, 111.0, 136.0, 111.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-32", 0 ],
									"destination" : [ "obj-13", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-33", 0 ],
									"destination" : [ "obj-32", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-15", 0 ],
									"destination" : [ "obj-32", 0 ],
									"hidden" : 0,
									"midpoints" : [ 163.5, 76.0, 76.5, 76.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-4", 0 ],
									"hidden" : 0,
									"midpoints" : [ 18.5, 367.0, 35.5, 367.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-3", 0 ],
									"destination" : [ "obj-5", 0 ],
									"hidden" : 0,
									"midpoints" : [ 18.5, 400.0, 35.5, 400.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-14", 0 ],
									"destination" : [ "obj-15", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-31", 0 ],
									"destination" : [ "obj-19", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-19", 0 ],
									"destination" : [ "obj-20", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 1 ],
									"destination" : [ "obj-25", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-25", 0 ],
									"destination" : [ "obj-24", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-24", 0 ],
									"destination" : [ "obj-23", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-23", 0 ],
									"destination" : [ "obj-22", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-22", 0 ],
									"destination" : [ "obj-21", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-21", 0 ],
									"destination" : [ "obj-30", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-30", 0 ],
									"destination" : [ "obj-29", 0 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 1 ],
									"destination" : [ "obj-26", 0 ],
									"hidden" : 0,
									"midpoints" : [ 241.5, 219.0, 271.5, 219.0 ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-26", 0 ],
									"destination" : [ "obj-25", 1 ],
									"hidden" : 0,
									"midpoints" : [  ]
								}

							}
, 							{
								"patchline" : 								{
									"source" : [ "obj-20", 0 ],
									"destination" : [ "obj-21", 1 ],
									"hidden" : 0,
									"midpoints" : [ 196.5, 435.0, 412.0, 435.0, 412.0, 312.0, 383.5, 312.0 ]
								}

							}
 ]
					}
,
					"saved_object_attributes" : 					{
						"default_fontsize" : 12.0,
						"fontname" : "Hiragino Kaku Gothic Pro W3",
						"globalpatchername" : "",
						"default_fontface" : 0,
						"fontface" : 0,
						"fontsize" : 12.0,
						"default_fontname" : "Hiragino Kaku Gothic Pro W3"
					}

				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "ピッチ検出",
					"id" : "obj-2",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 79.0, 219.0, 91.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "meter~",
					"id" : "obj-3",
					"tepidcolor" : [ 0.6, 0.729412, 0.0, 1.0 ],
					"outlettype" : [ "float" ],
					"coldcolor" : [ 0.0, 0.658824, 0.0, 1.0 ],
					"bgcolor" : [ 0.403922, 0.403922, 0.403922, 1.0 ],
					"numinlets" : 1,
					"patching_rect" : [ 51.0, 136.0, 80.0, 13.0 ],
					"warmcolor" : [ 0.85098, 0.85098, 0.0, 1.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ処理の開始／停止",
					"linecount" : 2,
					"id" : "obj-4",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 109.0, 42.0, 73.0, 32.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "stop",
					"id" : "obj-5",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 50.0, 59.0, 29.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "startwindow",
					"id" : "obj-6",
					"outlettype" : [ "" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 39.0, 41.0, 67.0, 17.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "オーディオ入力",
					"id" : "obj-7",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 103.0, 84.0, 73.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "入力ゲイン調整",
					"id" : "obj-8",
					"fontname" : "Osaka",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 112.0, 119.0, 73.0, 19.0 ],
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "adc~",
					"id" : "obj-9",
					"outlettype" : [ "signal", "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 39.0, 83.0, 60.0, 19.0 ],
					"numoutlets" : 2
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-10",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 74.0, 116.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "*~ 1",
					"id" : "obj-11",
					"outlettype" : [ "signal" ],
					"fontname" : "Geneva",
					"fontsize" : 9.0,
					"numinlets" : 2,
					"patching_rect" : [ 39.0, 114.0, 32.0, 19.0 ],
					"numoutlets" : 1
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "flonum",
					"id" : "obj-12",
					"outlettype" : [ "float", "bang" ],
					"fontname" : "Geneva",
					"bgcolor" : [ 0.866667, 0.866667, 0.866667, 1.0 ],
					"fontsize" : 9.0,
					"numinlets" : 1,
					"patching_rect" : [ 39.0, 218.0, 35.0, 19.0 ],
					"htextcolor" : [ 0.870588, 0.870588, 0.870588, 1.0 ],
					"numoutlets" : 2,
					"triscale" : 0.9
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-5", 0 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [ 59.5, 78.0, 48.5, 78.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-9", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 1 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [ 89.5, 107.0, 48.5, 107.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-9", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 0 ],
					"destination" : [ "obj-12", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-3", 0 ],
					"hidden" : 0,
					"midpoints" : [ 48.5, 133.0, 60.5, 133.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-10", 0 ],
					"destination" : [ "obj-11", 1 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
